Skip to main content
GET
Compare two versions
version_id is the version you are looking at and base_version_id is the version it is compared with.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

dictionary_id
string
required
version_id
string
required

Query Parameters

base_version_id
string
required

Version to compare the target version against.

Example:

"9b8c7d6e5f4a3b2c1d0e9f8a7b6c5d4e"

Response

Request fulfilled, document follows

Row-level diff between two versions of one dictionary.

version_id
string
required

Target (viewed) version.

Example:

"1c3e5a7b9d0f4a2c8e6b4d1f3a5c7e9b"

base_version_id
string
required

Base version the target is compared against.

Example:

"1c3e5a7b9d0f4a2c8e6b4d1f3a5c7e9b"

added
integer
required

Number of added rows.

Example:

1

removed
integer
required

Number of removed rows.

Example:

0

changed
integer
required

Number of changed rows.

Example:

2

rows
PronunciationDictionaryV1CompareRow · object[]
required

Per-rule diff rows in target order, with removed rows last.